diff tests/test-extdiff @ 7758:e81e6c996e99

extdiff: add --change option to display single changeset diff This is the counterpart for extdiff of 9c6ae2e09e11.
author Gilles Moris <gilles.moris@free.fr>
date Sat, 07 Feb 2009 19:41:05 +0100
parents d4fa6bafc43a
children 66d0a03d3afc
line wrap: on
line diff
--- a/tests/test-extdiff	Fri Feb 13 11:32:33 2009 +0100
+++ b/tests/test-extdiff	Sat Feb 07 19:41:05 2009 +0100
@@ -32,9 +32,14 @@
 echo c >> c
 hg add c
 hg ci -m "new branch" -d '1 0'
-hg update -C 1
-hg merge tip
+hg merge 1
 # should diff cloned file against wc file
-hg falabala > out || echo "diff-like tools yield a non-zero exit code"
+hg falabala > out
 # cleanup the output since the wc is a tmp directory
 sed  's:\(.* \).*\(\/test-extdiff\):\1[tmp]\2:' out
+# test --change option
+hg ci -d '2 0' -mtest3
+hg falabala -c 1
+# check diff are made from the first parent
+hg falabala -c 3 || echo "diff-like tools yield a non-zero exit code"
+#hg log